config_opts['chroot_setup_cmd'] = 'install bash bzip2 coreutils cpio diffutils redhat-release findutils gawk glibc-minimal-langpack grep gzip info patch redhat-rpm-config rpm-build sed shadow-utils tar unzip util-linux which xz'
config_opts['dist'] = 'el9.inferit'  # only useful for --resultdir variable subst
config_opts['releasever'] = '9'
config_opts['package_manager'] = 'dnf'
config_opts['extra_chroot_dirs'] = [ '/run/lock', ]
config_opts['bootstrap_image'] = 'docker.io/inferit/msvsphere'


config_opts['dnf.conf'] = """
[main]
keepcache=1
debuglevel=2
reposdir=/dev/null
logfile=/var/log/yum.log
retries=20
obsoletes=1
gpgcheck=0
assumeyes=1
syslog_ident=mock
syslog_device=
metadata_expire=0
mdpolicy=group:primary
best=1
install_weak_deps=0
protected_packages=
module_platform_id=platform:el9
user_agent={{ user_agent }}

[appstream]
name=MSVSphere $releasever - AppStream
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/appstream
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/AppStream/$basearch/os/
enabled=1
gpgcheck=1
countme=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-9
metadata_expire=86400
enabled_metadata=1

[appstream-debug]
name=MSVSphere $releasever - AppStream - Debug
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/appstream-debug
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/AppStream/debug/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-9
metadata_expire=86400
enabled_metadata=0

[appstream-source]
name=MSVSphere $releasever - AppStream - Source
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/appstream-source
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/AppStream/Source/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-9
metadata_expire=86400
enabled_metadata=0

[baseos]
name=MSVSphere $releasever - BaseOS
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/baseos
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/BaseOS/$basearch/os/
enabled=1
gpgcheck=1
countme=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-9
metadata_expire=86400
enabled_metadata=1

[baseos-debug]
name=MSVSphere $releasever - BaseOS - Debug
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/baseos-debug
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/BaseOS/debug/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-9
metadata_expire=86400
enabled_metadata=0

[baseos-source]
name=MSVSphere $releasever - BaseOS - Source
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/baseos-source
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/BaseOS/Source/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-9
metadata_expire=86400
enabled_metadata=0

[crb]
name=MSVSphere $releasever - CRB
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/crb
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/CRB/$basearch/os/
enabled=1
gpgcheck=1
countme=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-9
metadata_expire=86400
enabled_metadata=1

[crb-debug]
name=MSVSphere $releasever - CRB - Debug
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/crb-debug
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/CRB/debug/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-9
metadata_expire=86400
enabled_metadata=0

[crb-source]
name=MSVSphere $releasever - CRB - Source
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/crb-source
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/CRB/Source/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-9
metadata_expire=86400
enabled_metadata=0

[extras]
name=MSVSphere $releasever - Extras
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/extras
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/Extras/$basearch/os/
enabled=1
gpgcheck=1
countme=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-9
metadata_expire=86400
enabled_metadata=1

[extras-debug]
name=MSVSphere $releasever - Extras - Debug
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/extras-debug
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/Extras/debug/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-9
metadata_expire=86400
enabled_metadata=0

[extras-source]
name=MSVSphere $releasever - Extras - Source
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/extras-source
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/Extras/Source/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-9
metadata_expire=86400
enabled_metadata=0

"""
